> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookalike Company Lookup (Alias)

> Retrieve companies similar to a specified company using their Pubrio search ID, domain, or LinkedIn URL.



## OpenAPI

````yaml en-openapi POST /companies/similar/lookup
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/similar/lookup:
    post:
      tags:
        - Lookup
      summary: Look up similar companies
      description: >-
        Retrieve companies similar to a specified company using their Pubrio
        search ID, domain, or LinkedIn URL.
      operationId: companies_lookup_similar
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: Domain
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: Successful response containing similar company details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  logo_url: >-
                    https://buckets.pubrio.com/company-logo/NzMwNTQzMzkzaWxqOXNzbmoxbmV0ZmxpeC5jb21saW5rZWRpbl8zMzMxMjk0OQ==.jpg
                  emails:
                    - ...
                  phones:
                    - ...
                  contacts:
                    - ...
                  estimated_revenue: 38900000000
                  publicly_traded_symbol: NFLX
                  publicly_traded_exchange: nasdaq
                  specialties:
                    - Entertainment
                    - Entertainment Providers
                    - Telecommunications
                    - Media Production
                  company_keywords:
                    - consumer electronics
                    - games
                    - entertainment
                    - consumer internet
                    - hardware
                    - information technology
                    - internet
                    - revolutionizing the way people watch tv shows & movies
                  company_ranking: 232
                  title: Netflix - Watch TV Shows Online, Watch Movies Online
                  description: >-
                    Netflix is one of the world's leading entertainment services
                    with over 247 million paid memberships in over 190 countries
                    enjoying TV series, films and games across a wide variety of
                    genres and languages. Members can play, pause and resume
                    watching as much as they want, anytime, anywhere, and can
                    change their plans at any time.
                  company_address: 100 Winchester Circle, Los Gatos, Ca, Us
                  company_name: Netflix
                  founded_year: 1997
                  industry: Entertainment
                  domain: netflix.com
                  domain_search_id: 575463e2-474d-4f0a-acc3-fdc2be51e07e
                  domain_id: 70635725
                  linkedin_company_id: 33312949
                  domain_ids:
                    - 585935484
                    - 730543393
                    - 368242675
                    - 70635725
                  company_size: 16000
                  company_size_printed: 16,000
                  youtube_url: null
                  crunchbase_url: null
                  linkedin_url: http://www.linkedin.com/company/netflix
                  instagram_url: http://instagram.com/netflix
                  facebook_url: http://facebook.com/netflixus
                  twitter_url: https://twitter.com/netflix
                  github_url: null
                  x_url: null
                  country_code: US
                  location: United States
                  company_url: http://netflix.com
                  company_addresses:
                    - 100 Winchester Circle Los Gatos, CA, US
                    - 5808 W Sunset Blvd Los Angeles, CA 90028, US
                    - Alameda Xingu, 350 Barueri, SP 06455-030, BR
                    - 245 W 17th St New York, 10011, US
                    - Stadhouderskade 55 Amsterdam, North Holland 1072 AB, NL
                    - 9 Straits Vw Marina South, 01, SG
                    - >-
                      Av. Paseo De La Reforma 483 Torre Reforma, Floor 37 Mexico
                      City, Cuauhtémoc 06500, MX
                  saved_lists: null
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    domain_search_id:
      type: string
      format: uuid
      description: A unique identifier for the company search operation.
    domain:
      type: string
      example: pubrio.com
      description: >-
        A company domain used for company search operations. If we receive a URL
        such as `www.pubrio.com` or `https://docs.pubrio.com/`, the system will
        convert it to `pubrio.com` for processing.
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        The fully formed URL of the LinkedIn company profile. URL begin with
        `http` and contain `linkedin.com/company/`
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````